# coding: utf-8

# flake8: noqa

"""
    Jaqpot API

    A modern RESTful API for model management and prediction services, built using Spring Boot and Kotlin. Supports seamless integration with machine learning workflows.

    The version of the OpenAPI document: 1.0.0
    Contact: upci.ntua@gmail.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


__version__ = "1.0.0"

# import apis into sdk package
from src.jaqpot_api_client.api.user_settings_api import UserSettingsApi
from src.jaqpot_api_client.api.api_keys_api import ApiKeysApi
from src.jaqpot_api_client.api.auth_api import AuthApi
from src.jaqpot_api_client.api.dataset_api import DatasetApi
from src.jaqpot_api_client.api.feature_api import FeatureApi
from src.jaqpot_api_client.api.lead_api import LeadApi
from src.jaqpot_api_client.api.model_api import ModelApi
from src.jaqpot_api_client.api.organization_api import OrganizationApi
from src.jaqpot_api_client.api.organization_invitation_api import OrganizationInvitationApi
from src.jaqpot_api_client.api.user_api import UserApi
from src.jaqpot_api_client.api.user_settings_api import UserSettingsApi

# import ApiClient
from src.jaqpot_api_client.api_response import ApiResponse
from src.jaqpot_api_client.api_client import ApiClient
from src.jaqpot_api_client.configuration import Configuration
from src.jaqpot_api_client.exceptions import OpenApiException
from src.jaqpot_api_client.exceptions import ApiTypeError
from src.jaqpot_api_client.exceptions import ApiValueError
from src.jaqpot_api_client.exceptions import ApiKeyError
from src.jaqpot_api_client.exceptions import ApiAttributeError
from src.jaqpot_api_client.exceptions import ApiException

# import models into sdk package
from src.jaqpot_api_client.models.api_key import ApiKey
from src.jaqpot_api_client.models.archive_model200_response import ArchiveModel200Response
from src.jaqpot_api_client.models.binary_classification_scores import BinaryClassificationScores
from src.jaqpot_api_client.models.bounding_box_doa import BoundingBoxDoa
from src.jaqpot_api_client.models.city_block_doa import CityBlockDoa
from src.jaqpot_api_client.models.create_api_key201_response import CreateApiKey201Response
from src.jaqpot_api_client.models.create_invitations_request import CreateInvitationsRequest
from src.jaqpot_api_client.models.dataset import Dataset
from src.jaqpot_api_client.models.dataset_csv import DatasetCSV
from src.jaqpot_api_client.models.dataset_type import DatasetType
from src.jaqpot_api_client.models.doa import Doa
from src.jaqpot_api_client.models.doa_method import DoaMethod
from src.jaqpot_api_client.models.error_code import ErrorCode
from src.jaqpot_api_client.models.error_response import ErrorResponse
from src.jaqpot_api_client.models.feature import Feature
from src.jaqpot_api_client.models.feature_possible_value import FeaturePossibleValue
from src.jaqpot_api_client.models.feature_type import FeatureType
from src.jaqpot_api_client.models.get_all_api_keys_for_user200_response_inner import GetAllApiKeysForUser200ResponseInner
from src.jaqpot_api_client.models.get_datasets200_response import GetDatasets200Response
from src.jaqpot_api_client.models.get_models200_response import GetModels200Response
from src.jaqpot_api_client.models.kernel_based_doa import KernelBasedDoa
from src.jaqpot_api_client.models.lead import Lead
from src.jaqpot_api_client.models.leverage_doa import LeverageDoa
from src.jaqpot_api_client.models.library import Library
from src.jaqpot_api_client.models.mahalanobis_doa import MahalanobisDoa
from src.jaqpot_api_client.models.mean_var_doa import MeanVarDoa
from src.jaqpot_api_client.models.model import Model
from src.jaqpot_api_client.models.model_scores import ModelScores
from src.jaqpot_api_client.models.model_summary import ModelSummary
from src.jaqpot_api_client.models.model_task import ModelTask
from src.jaqpot_api_client.models.model_type import ModelType
from src.jaqpot_api_client.models.model_visibility import ModelVisibility
from src.jaqpot_api_client.models.multiclass_classification_scores import MulticlassClassificationScores
from src.jaqpot_api_client.models.organization import Organization
from src.jaqpot_api_client.models.organization_invitation import OrganizationInvitation
from src.jaqpot_api_client.models.organization_summary import OrganizationSummary
from src.jaqpot_api_client.models.organization_user import OrganizationUser
from src.jaqpot_api_client.models.organization_user_association_type import OrganizationUserAssociationType
from src.jaqpot_api_client.models.organization_visibility import OrganizationVisibility
from src.jaqpot_api_client.models.partial_update_organization_request import PartialUpdateOrganizationRequest
from src.jaqpot_api_client.models.partially_update_model_feature_request import PartiallyUpdateModelFeatureRequest
from src.jaqpot_api_client.models.partially_update_model_request import PartiallyUpdateModelRequest
from src.jaqpot_api_client.models.prediction_doa import PredictionDoa
from src.jaqpot_api_client.models.prediction_model import PredictionModel
from src.jaqpot_api_client.models.prediction_request import PredictionRequest
from src.jaqpot_api_client.models.prediction_response import PredictionResponse
from src.jaqpot_api_client.models.r_pbpk_config import RPbpkConfig
from src.jaqpot_api_client.models.regression_scores import RegressionScores
from src.jaqpot_api_client.models.scores import Scores
from src.jaqpot_api_client.models.transformer import Transformer
from src.jaqpot_api_client.models.unarchive_model200_response import UnarchiveModel200Response
from src.jaqpot_api_client.models.update_api_key200_response import UpdateApiKey200Response
from src.jaqpot_api_client.models.update_api_key_request import UpdateApiKeyRequest
from src.jaqpot_api_client.models.user import User
from src.jaqpot_api_client.models.user_settings import UserSettings
